Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.markets
Class Firm

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          name.milesparker.markets.Firm

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Location, Node, HasName, RandomFunctions

    public class Firm

extends CellOccupant

Firm Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`Firm()` Constructs a new Firm.

Method Summary
`void` | `calculateTimeStep(int timeStep)`
`void` | `clearOffers()` Clear Offers Rule.
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`double` | `earningMovementFactor()` Calculate Earning Movement Factor.
`java.util.List<IAgentChild>` | `getChildren()`
`double` | `getLastEarnings()` Gets the Last Earnings property for Firm.
`double` | `getLastPrice()` Gets the Last Price property for Firm.
`Markets` | `getMarkets()`
`java.lang.String` | `getName()`
`java.util.List` | `getNetwork()`
`double` | `getPriceEarningsRatio()` Derive Price Earnings Ratio.
`int` | `getSharesInternal()` Gets the Shares Internal property for Firm.
`int` | `getSharesOutstanding()` Gets the Shares Outstanding property for Firm.
`long` | `getUID()`
`double` | `initialFirmPrice()` Calculate Initial Firm Price.
`double` | `initialFirmValue()` Calculate Initial Firm Value.
`void` | `intializeNonFramework()` Initialize Initialization.
`void` | `modifyEarnings()` Modify Earnings Rule.
`void` | `offerShares()` Offer Shares Initialization.
`void` | `setLastEarnings(double _lastEarnings)` Sets the Last Earnings property for Firm.
`void` | `setLastPrice(double _lastPrice)` Sets the Last Price property for Firm.
`void` | `setSharesInternal(int _sharesInternal)` Sets the Shares Internal property for Firm.
`void` | `setSharesOutstanding(int _sharesOutstanding)` Sets the Shares Outstanding property for Firm.
`void` | `startSimulationAgentChild(int timeStep)`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getOccupant, hostedCondition, initialize, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant, toString`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getColor, getImage, getImage, getIteration, getPlatformColor, getRoot, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### Firm

    public Firm()

  Constructs a new Firm.

Method Detail

### getChildren

    public java.util.List<IAgentChild> getChildren()

### getUID

    public long getUID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `CellOccupant`
  Returns:
    the object

### getMarkets

    public Markets getMarkets()

### getNetwork

    public java.util.List getNetwork()

  Overrides:
    `getNetwork` in class `Cell`

### startSimulationAgentChild

    public void startSimulationAgentChild(int timeStep)

### calculateTimeStep

    public void calculateTimeStep(int timeStep)

### intializeNonFramework

    public void intializeNonFramework()

  Initialize Initialization. Executed once at the beginning of each model run.

### initialFirmValue

    public double initialFirmValue()

  Calculate Initial Firm Value.

### modifyEarnings

    public void modifyEarnings()

  Modify Earnings Rule. Executed every period.

### earningMovementFactor

    public double earningMovementFactor()

  Calculate Earning Movement Factor.

### offerShares

    public void offerShares()

  Offer Shares Initialization. Executed once at the beginning of each model run.

### initialFirmPrice

    public double initialFirmPrice()

  Calculate Initial Firm Price.

### getPriceEarningsRatio

    public double getPriceEarningsRatio()

  Derive Price Earnings Ratio.

### clearOffers

    public void clearOffers()

  Clear Offers Rule. Executed every period.

### getSharesOutstanding

    public int getSharesOutstanding()

  Gets the Shares Outstanding property for Firm.

  Returns:

### setSharesOutstanding

    public void setSharesOutstanding(int _sharesOutstanding)

  Sets the Shares Outstanding property for Firm.

  Parameters:
    `_sharesOutstanding` - the new Shares Outstanding value

### getLastEarnings

    public double getLastEarnings()

  Gets the Last Earnings property for Firm.

  Returns:

### setLastEarnings

    public void setLastEarnings(double _lastEarnings)

  Sets the Last Earnings property for Firm.

  Parameters:
    `_lastEarnings` - the new Last Earnings value

### getLastPrice

    public double getLastPrice()

  Gets the Last Price property for Firm.

  Returns:

### setLastPrice

    public void setLastPrice(double _lastPrice)

  Sets the Last Price property for Firm.

  Parameters:
    `_lastPrice` - the new Last Price value

### getSharesInternal

    public int getSharesInternal()

  Gets the Shares Internal property for Firm.

  Returns:

### setSharesInternal

    public void setSharesInternal(int _sharesInternal)

  Sets the Shares Internal property for Firm.

  Parameters:
    `_sharesInternal` - the new Shares Internal value

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `AscapeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD